#version 330 core

uniform vec3 materialColor = vec3(1.0,1.0,1.0);

layout (location = 0) out vec4 fragColor;
layout (location = 1) out vec4 brightColor;

void main()
{
    vec4 color = vec4(materialColor, 1.0);

	float brightness = dot(color.rgb, vec3(0.2126, 0.7152, 0.0722));

    if(brightness > 0.3)
        brightColor = vec4(color.rgb, 1.0);

	fragColor = vec4(color.rgb * 0.5, 0.0);
}