#version 330 core

uniform vec2 near_far;
uniform vec4 l_pos;

in vec4 FragPos;

void main(void) {

	float WS_dist = distance(FragPos, l_pos);

	float WS_dist_normalized = (WS_dist - near_far.x) / (near_far.y - near_far.x);
	//float WS_dist_normalized = (WS_dist) / (near_far.y);

	gl_FragDepth = WS_dist_normalized;
}