#version 330 core

in vec2 textureCoord;

layout (location = 0) out vec4 fragColor;

uniform sampler2D textureSampler;

uniform vec3 cameraPosition;

void main() 
{
	vec4 color = texture(textureSampler, textureCoord);

	fragColor = color;
}