#version 330 core
out vec3 color;
 
void main(){

	// Normal of the computed fragment, in camera space
	vec3 n = normalize( Normal_cameraspace );

	// Direction of the light (from the fragment to the light)
	vec3 l = normalize( LightDirection_cameraspace );

    float cosTheta = clamp( dot( n,l ), 0, 1 );
 
	color = MaterialDiffuseColor * LightColor * LightPower * cosTheta / (distance*distance);
}