#version 330 core

in vec3 position;
in vec2 uv;
uniform vec4 spriteFrame;

out vec2 textureCoord;

uniform mat4 model;
uniform mat4 projection;
uniform mat4 view;

void main()
{
	textureCoord = spriteFrame.xy + (uv * spriteFrame.zw);

	gl_Position = projection * view * model * vec4(position, 1.0);
}